//
// IMColor.m
// IvyMedia
//
// Created by haibara on 11/13/14.
//
//

#import "IMColor.h"
@implementation UIColor (IMCrayons)

+ (UIColor *)im_colorWithRed:(CGFloat)red green:(CGFloat)green blue:(CGFloat)blue alpha:(CGFloat)alpha {
	if ([UIColor respondsToSelector:@selector(colorWithDisplayP3Red:green:blue:alpha:)]) {
		return [UIColor colorWithDisplayP3Red:red green:green blue:blue alpha:alpha];
	}
	return [UIColor colorWithRed:red green:green blue:blue alpha:alpha];
}

+ (UIColor *)aluminumColor {
	return [UIColor im_colorWithRed:0.6 green:0.6 blue:0.6 alpha:1.0];
}

+ (UIColor *)aquaColor {
	return [UIColor im_colorWithRed:0.0 green:0.5 blue:1.0 alpha:1.0];
}

+ (UIColor *)asparagusColor {
	return [UIColor im_colorWithRed:0.5 green:0.5 blue:0.0 alpha:1.0];
}

+ (UIColor *)bananaColor {
	return [UIColor im_colorWithRed:1.0 green:1.0 blue:0.4 alpha:1.0];
}

+ (UIColor *)blueberryColor {
	return [UIColor im_colorWithRed:0.0 green:0.0 blue:1.0 alpha:1.0];
}

+ (UIColor *)bubblegumColor {
	return [UIColor im_colorWithRed:1.0 green:0.4 blue:1.0 alpha:1.0];
}

+ (UIColor *)carnationColor {
	return [UIColor im_colorWithRed:1.0 green:111 / 255.0f blue:207 / 255.0f alpha:1.0];
}

+ (UIColor *)cantalopeColor {
	return [UIColor im_colorWithRed:1.0 green:0.8 blue:0.4 alpha:1.0];
}

+ (UIColor *)cayenneColor {
	return [UIColor im_colorWithRed:0.5 green:0.0 blue:0.0 alpha:1.0];
}

+ (UIColor *)cloverColor {
	return [UIColor im_colorWithRed:0.0 green:0.5 blue:0.0 alpha:1.0];
}

+ (UIColor *)eggplantColor {
	return [UIColor im_colorWithRed:0.25 green:0.0 blue:0.5 alpha:1.0];
}

+ (UIColor *)fernColor {
	return [UIColor im_colorWithRed:0.25 green:0.5 blue:0.0 alpha:1.0];
}

+ (UIColor *)floraColor {
	return [UIColor im_colorWithRed:0.4 green:1.0 blue:0.4 alpha:1.0];
}

+ (UIColor *)grapeColor {
	return [UIColor im_colorWithRed:0.5 green:0.0 blue:1.0 alpha:1.0];
}

+ (UIColor *)honeydewColor {
	return [UIColor im_colorWithRed:0.8 green:1.0 blue:0.4 alpha:1.0];
}

+ (UIColor *)iceColor {
	return [UIColor im_colorWithRed:0.4 green:1.0 blue:1.0 alpha:1.0];
}

+ (UIColor *)ironColor {
	return [UIColor im_colorWithRed:0.3 green:0.3 blue:0.3 alpha:1.0];
}

+ (UIColor *)lavenderColor {
	return [UIColor im_colorWithRed:0.8 green:0.4 blue:1.0 alpha:1.0];
}

+ (UIColor *)leadColor {
	return [UIColor im_colorWithRed:0.1 green:0.1 blue:0.1 alpha:1.0];
}

+ (UIColor *)lemonColor {
	return [UIColor im_colorWithRed:1.0 green:1.0 blue:0.0 alpha:1.0];
}

+ (UIColor *)licoriceColor {
	return [UIColor im_colorWithRed:0.0 green:0.0 blue:0.0 alpha:1.0];
}

+ (UIColor *)limeColor {
	return [UIColor im_colorWithRed:0.5 green:1.0 blue:0.0 alpha:1.0];
}

+ (UIColor *)magnesiumColor {
	return [UIColor im_colorWithRed:0.7 green:0.7 blue:0.7 alpha:1.0];
}

+ (UIColor *)maraschinoColor {
	return [UIColor im_colorWithRed:1.0 green:0.0 blue:0.0 alpha:1.0];
}

+ (UIColor *)maroonColor {
	return [UIColor im_colorWithRed:0.5 green:0.0 blue:0.25 alpha:1.0];
}

+ (UIColor *)mercuryColor {
	return [UIColor im_colorWithRed:0.9 green:0.9 blue:0.9 alpha:1.0];
}

+ (UIColor *)midnightColor {
	return [UIColor im_colorWithRed:0.0 green:0.0 blue:0.5 alpha:1.0];
}

+ (UIColor *)mochaColor {
	return [UIColor im_colorWithRed:0.5 green:0.25 blue:0.0 alpha:1.0];
}

+ (UIColor *)mossColor {
	return [UIColor im_colorWithRed:0.0 green:0.5 blue:0.25 alpha:1.0];
}

+ (UIColor *)nickelColor {
	return [UIColor im_colorWithRed:0.5 green:0.5 blue:0.5 alpha:1.0];
}

+ (UIColor *)oceanColor {
	return [UIColor im_colorWithRed:0.0 green:0.25 blue:0.5 alpha:1.0];
}

+ (UIColor *)orchidColor {
	return [UIColor im_colorWithRed:0.4 green:0.4 blue:1.0 alpha:1.0];
}

+ (UIColor *)plumColor {
	return [UIColor im_colorWithRed:0.5 green:0.0 blue:0.5 alpha:1.0];
}

+ (UIColor *)salmonColor {
	return [UIColor im_colorWithRed:1.0 green:0.4 blue:0.4 alpha:1.0];
}

+ (UIColor *)seafoamColor {
	return [UIColor im_colorWithRed:0.0 green:1.0 blue:0.5 alpha:1.0];
}

+ (UIColor *)silverColor {
	return [UIColor im_colorWithRed:0.8 green:0.8 blue:0.8 alpha:1.0];
}

+ (UIColor *)skyColor {
	return [UIColor im_colorWithRed:0.4 green:0.8 blue:1.0 alpha:1.0];
}

+ (UIColor *)snowColor {
	return [UIColor im_colorWithRed:1.0 green:1.0 blue:1.0 alpha:1.0];
}

+ (UIColor *)spindriftColor {
	return [UIColor im_colorWithRed:0.4 green:1.0 blue:0.8 alpha:1.0];
}

+ (UIColor *)springColor {
	return [UIColor im_colorWithRed:0.0 green:1.0 blue:0.0 alpha:1.0];
}

+ (UIColor *)steelColor {
	return [UIColor im_colorWithRed:0.4 green:0.4 blue:0.4 alpha:1.0];
}

+ (UIColor *)strawberryColor {
	return [UIColor im_colorWithRed:1.0 green:0.0 blue:0.5 alpha:1.0];
}

+ (UIColor *)tangerineColor {
	return [UIColor im_colorWithRed:1.0 green:0.5 blue:0.0 alpha:1.0];
}

+ (UIColor *)tealColor {
	return [UIColor im_colorWithRed:0.0 green:0.5 blue:0.5 alpha:1.0];
}

+ (UIColor *)tinColor {
	return [UIColor im_colorWithRed:0.5 green:0.5 blue:0.5 alpha:1.0];
}

+ (UIColor *)tungstenColor {
	return [UIColor im_colorWithRed:0.2 green:0.2 blue:0.2 alpha:1.0];
}

+ (UIColor *)turquoiseColor {
	return [UIColor im_colorWithRed:0.0 green:1.0 blue:1.0 alpha:1.0];
}

@end
